Subject: Re: Re-add ibft tree to linux-next please

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Mon, 12 Dec 2011 21:15:37 -0500

On Mon, Dec 12, 2011 at 03:25:11PM -0800, H. Peter Anvin wrote:
> On 12/12/2011 06:53 AM, Konrad Rzeszutek Wilk wrote:
> > Hey Stephen,
> > 
> > I've one patch for the iBFT and since I am the co-maintainer of said tree,
> > please add this tree to your awesome build system:
> > 
> > git://git.kernel.org/pub/scm/linux/kernel/git/konrad/ibft.git
> > 
> > The branch is "linux-next"
> > 
> > Signed-off-by: Konrad Rzeszutek Wilk <[email-masked]>
> > CC: Peter Jones <[email-masked]>
> > Thanks!
> > 
> > P.S.
> > After kernel.org went down, I choose not to resurface the iBFT tree b/c I
> > figured that the driver was sooo stable that there would be no need for any
> > patches. Well, not the case
> 
> iBFT is basically an ACPI table with nonstandard discovery.  Any way we
> could get this merged into the ACPI core eventually?

Part of the driver has been exported to the SCSI tree already (the software and
broadcam iSCSI one). The only two remainig pieces are the SysFS skeleton
(which should probably still sit in drivers/firmware) and iBFT finder.

The remaining piece that could be moved to drivers/acpi is the "finder" of
the IBFT which can find it via ACPI, similar to how MADT tables are found
(so perhaps arch/x86/acpi?).

The trick is that we also have to retain the code functionality if
"# CONFIG_ACPI is not set" to scan the memory for the iBFT. That part
should definitly _not_ be moved to drivers/acpi. It could be moved to
arch/x86/ .. but it could also stay in drivers/firmware. <shrugs>